Bug 1017815 - failed publish doesn't get logged
failed publish doesn't get logged
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
urgent Severity unspecified
: ---
: 2.3.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 10:43 EDT by Michael Hrivnak
Modified: 2013-12-09 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-10-10 10:43:17 EDT
Description of problem:
Failed publishes do not get logged, even at the debug level

Version-Release number of selected component (if applicable):
master

How reproducible:
always

Steps to Reproduce:
1. set log level to DEBUG for pulp
2. publish with the puppet_install_distributor in a case where it will fail

Actual results:
nothing about the failure is in /var/log/pulp.log

Expected results:
the failure should be noted in pulp.log
Comment 1 Michael Hrivnak 2013-10-10 11:17:43 EDT
https://github.com/pulp/pulp/pull/658
Comment 2 Jeff Ortel 2013-10-11 11:26:03 EDT
build: 2.3.0-0.18.beta
Comment 3 Preethi Thomas 2013-10-16 12:36:00 EDT
verified
[root@pulp-v2-server ~]# rpm -qa |grep pulp-server
pulp-server-2.3.0-0.20.beta.el6.noarch

2013-10-16 11:02:32,267 pulp.server.managers.repo.publish:INFO: publish failed for repo [puppet-copy] with distributor ID [puppet_install_distributor]
2013-10-16 11:02:32,268 pulp.server.managers.repo.publish:DEBUG: summary for repo [puppet-copy] with distributor ID [puppet_install_distributor]: failed to create destination directory: [Errno 13] Permission denied: '/etc/puppet/puppet-copy/'
Comment 4 Preethi Thomas 2013-12-09 09:30:30 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.